Page MenuHomePhabricator

DAGCombiner: Relax sqrt NaN folding check
ClosedPublic

Authored by arsenm on Feb 12 2016, 8:01 PM.

Details

Summary

This is OK for +0 since compares to +/-0 give the same result.

Diff Detail

Event Timeline

arsenm updated this revision to Diff 47891.Feb 12 2016, 8:01 PM
arsenm retitled this revision from to DAGCombiner: Relax sqrt NaN folding check.
arsenm updated this object.
arsenm added a reviewer: tstellarAMD.
arsenm added a subscriber: llvm-commits.
gberry added a subscriber: gberry.Feb 24 2016, 11:43 AM

This looks reasonable to me (since -0 < +0 is false).

lib/CodeGen/SelectionDAG/DAGCombiner.cpp
13825

You might want to update this comment to [+-]0

13850

Ditto.

arsenm accepted this revision.Feb 27 2016, 1:43 AM
arsenm added a reviewer: arsenm.

r262125

This revision is now accepted and ready to land.Feb 27 2016, 1:43 AM
arsenm closed this revision.Feb 27 2016, 1:43 AM